org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener

- java.lang.Object
- - org.apache.catalina.mbeans.JmxRemoteLifecycleListener

- All Implemented Interfaces:
    LifecycleListener

  Deprecated.
  The features provided by this listener are now available in the remote JMX capability included with the JRE. This listener will be removed in Tomcat 10 and may be removed from Tomcat 8.5.x some time after 2020-12-31.

      @Deprecated
      public class JmxRemoteLifecycleListener
      extends Object
      implements LifecycleListener

  This listener fixes the port used by JMX/RMI Server making things much simpler if you need to connect jconsole or similar to a remote Tomcat instance that is running behind a firewall. Only the ports are configured via the listener. The remainder of the configuration is via the standard system properties for configuring JMX.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory` Deprecated.
    `static class` | `JmxRemoteLifecycleListener.RmiServerBindSocketFactory` Deprecated.
    `static class` | `JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `accessFile` Deprecated.
    `protected boolean` | `authenticate` Deprecated.
    `protected String[]` | `ciphers` Deprecated.
    `protected boolean` | `clientAuth` Deprecated.
    `protected JMXConnectorServer` | `csPlatform` Deprecated.
    `protected String` | `loginModuleName` Deprecated.
    `protected String` | `passwordFile` Deprecated.
    `protected String[]` | `protocols` Deprecated.
    `protected String` | `rmiBindAddress` Deprecated.
    `protected int` | `rmiRegistryPortPlatform` Deprecated.
    `protected boolean` | `rmiRegistrySSL` Deprecated.
    `protected int` | `rmiServerPortPlatform` Deprecated.
    `protected boolean` | `rmiServerSSL` Deprecated.
    `protected static StringManager` | `sm` Deprecated.
    `protected boolean` | `useLocalPorts` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxRemoteLifecycleListener()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRmiBindAddress()` Deprecated. Get the inet address on which the Platform RMI server is exported.
    `int` | `getRmiRegistryPortPlatform()` Deprecated. Get the port on which the Platform RMI registry is exported.
    `int` | `getRmiServerPortPlatform()` Deprecated. Get the port on which the Platform RMI server is exported.
    `boolean` | `getUseLocalPorts()` Deprecated. Get the flag that indicates that local ports should be used for all connections.
    `void` | `lifecycleEvent(LifecycleEvent event)` Deprecated. Acknowledge the occurrence of the specified event.
    `void` | `setRmiBindAddress(String theRmiBindAddress)` Deprecated. Set the inet address on which the Platform RMI server is exported.
    `void` | `setRmiRegistryPortPlatform(int theRmiRegistryPortPlatform)` Deprecated. Set the port on which the Platform RMI registry is exported.
    `void` | `setRmiServerPortPlatform(int theRmiServerPortPlatform)` Deprecated. Set the port on which the Platform RMI server is exported.
    `void` | `setUseLocalPorts(boolean useLocalPorts)` Deprecated. Set the flag that indicates that local ports should be used for all connections.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

      Deprecated.

    - #### rmiBindAddress

          protected String rmiBindAddress

      Deprecated.

    - #### rmiRegistryPortPlatform

          protected int rmiRegistryPortPlatform

      Deprecated.

    - #### rmiServerPortPlatform

          protected int rmiServerPortPlatform

      Deprecated.

    - #### rmiRegistrySSL

          protected boolean rmiRegistrySSL

      Deprecated.

    - #### rmiServerSSL

          protected boolean rmiServerSSL

      Deprecated.

    - #### ciphers

          protected String[] ciphers

      Deprecated.

    - #### protocols

          protected String[] protocols

      Deprecated.

    - #### clientAuth

          protected boolean clientAuth

      Deprecated.

    - #### authenticate

          protected boolean authenticate

      Deprecated.

    - #### passwordFile

          protected String passwordFile

      Deprecated.

    - #### loginModuleName

          protected String loginModuleName

      Deprecated.

    - #### accessFile

          protected String accessFile

      Deprecated.

    - #### useLocalPorts

          protected boolean useLocalPorts

      Deprecated.

    - #### csPlatform

          protected JMXConnectorServer csPlatform

      Deprecated.

  - ### Constructor Detail

    - #### JmxRemoteLifecycleListener

          public JmxRemoteLifecycleListener()

      Deprecated.

  - ### Method Detail

    - #### getRmiBindAddress

          public String getRmiBindAddress()

      Deprecated.
      Get the inet address on which the Platform RMI server is exported.
      Returns:
        The textual representation of inet address

    - #### setRmiBindAddress

          public void setRmiBindAddress(String theRmiBindAddress)

      Deprecated.
      Set the inet address on which the Platform RMI server is exported.
      Parameters:
        `theRmiBindAddress` - The textual representation of inet address

    - #### getRmiServerPortPlatform

          public int getRmiServerPortPlatform()

      Deprecated.
      Get the port on which the Platform RMI server is exported. This is the port that is normally chosen by the RMI stack.
      Returns:
        The port number

    - #### setRmiServerPortPlatform

          public void setRmiServerPortPlatform(int theRmiServerPortPlatform)

      Deprecated.
      Set the port on which the Platform RMI server is exported. This is the port that is normally chosen by the RMI stack.
      Parameters:
        `theRmiServerPortPlatform` - The port number

    - #### getRmiRegistryPortPlatform

          public int getRmiRegistryPortPlatform()

      Deprecated.
      Get the port on which the Platform RMI registry is exported.
      Returns:
        The port number

    - #### setRmiRegistryPortPlatform

          public void setRmiRegistryPortPlatform(int theRmiRegistryPortPlatform)

      Deprecated.
      Set the port on which the Platform RMI registry is exported.
      Parameters:
        `theRmiRegistryPortPlatform` - The port number

    - #### getUseLocalPorts

          public boolean getUseLocalPorts()

      Deprecated.
      Get the flag that indicates that local ports should be used for all connections. If using SSH tunnels, or similar, this should be set to true to ensure the RMI client uses the tunnel.
      Returns:
        `true` if local ports should be used

    - #### setUseLocalPorts

          public void setUseLocalPorts(boolean useLocalPorts)

      Deprecated.
      Set the flag that indicates that local ports should be used for all connections. If using SSH tunnels, or similar, this should be set to true to ensure the RMI client uses the tunnel.
      Parameters:
        `useLocalPorts` - Set to `true` if local ports should be used

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Deprecated.
      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.